builds:
  - main: .
    id: "protoc-gen-validate"
    binary: "protoc-gen-validate"
    env:
      - CGO_ENABLED=0
  - main: ./cmd/protoc-gen-validate-cpp
    id: "protoc-gen-validate-cpp"
    binary: "protoc-gen-validate-cpp"
    env:
      - CGO_ENABLED=0
  - main: ./cmd/protoc-gen-validate-go
    id: "protoc-gen-validate-go"
    binary: "protoc-gen-validate-go"
    env:
      - CGO_ENABLED=0
  - main: ./cmd/protoc-gen-validate-java
    id: "protoc-gen-validate-java"
    binary: "protoc-gen-validate-java"
    env:
      - CGO_ENABLED=0

release:
  # If set to true, will not auto-publish the release.
  # Available only for GitHub and Gitea.
  # Default is false.
  draft: true

  # Whether to remove existing draft releases with the same name before creating a new one.
  # Only effective if `draft` is set to true.
  # Available only for GitHub.
  #
  # Default: false.
  # Since: v1.11.
  replace_existing_draft: true

  # Useful if you want to delay the creation of the tag in the remote.
  # You can create the tag locally, but not push it, and run GoReleaser.
  # It'll then set the `target_commitish` portion of the GitHub release to the value of this field.
  # Only works on GitHub.
  #
  # Default: empty.
  # Since: v1.11.
  target_commitish: "{{ .Commit }}"

  # If set to auto, will mark the release as not ready for production
  # in case there is an indicator for this in the tag e.g. v1.0.0-rc1
  # If set to true, will mark the release as not ready for production.
  # Default is false.
  prerelease: auto

  # What to do with the release notes in case there the release already exists.
  #
  # Valid options are:
  # - `keep-existing`: keep the existing notes
  # - `append`: append the current release notes to the existing notes
  # - `prepend`: prepend the current release notes to the existing notes
  # - `replace`: replace existing notes
  #
  # Default is `keep-existing`.
  mode: keep-existing

  # You can change the name of the release.
  # Default is `{{.Tag}}` on OSS and `{{.PrefixedTag}}` on Pro.
  name_template: "{{.Tag}}"
